.reset-list() {
    padding: 0;
    margin: 0;
    list-style: none;
}
.clearfix() {
    &:after {
        display: table;
        clear: both;
        content: '';
    }
}
.universal-vertical-alignment() {
    &:before {
        display: inline-block;
        height: 100%;
        vertical-align: middle;
        content: '';
    }
}

.link-options() {
    text-decoration: none;
    text-transform: uppercase;
}
.heading-style(){
    font-weight: bold;
    font-style: italic;
}

.transition() {
    -webkit-transition: color .5s ease;
    -moz-transition: color .5s ease;
    -ms-transition: color .5s ease;
    -o-transition: color .5s ease;
    transition: color .5s ease;
}

#gradient {
    // Vertical gradient, from top to bottom
    //
    // Creates two color stops, start and end, by specifying a color and position for each color stop.
    // Color stops are not available in IE9 and below.
    .vertical(@start-color; @end-color; @start-percent; @end-percent) {
        background-image: -webkit-linear-gradient(top, @start-color @start-percent, @end-color @end-percent); // Safari 5.1-6, Chrome 10+
        background-image: linear-gradient(to bottom, @start-color @start-percent, @end-color @end-percent); // Standard, IE10, Firefox 16+, Opera 12.10+, Safari 7+, Chrome 26+
        background-repeat: repeat-x;
    }
    
    .vertical-three-colors(@start-color; @mid-color; @color-stop; @end-color) {
        background-image: -webkit-linear-gradient(@start-color, @mid-color @color-stop, @end-color);
        background-image: linear-gradient(@start-color, @mid-color @color-stop, @end-color);
        background-repeat: no-repeat;
    }
    .radial(@inner-color: #aa69b4; @outer-color: #62447e) {
        background-image: -webkit-radial-gradient(circle, @inner-color, @outer-color);
        background-image: radial-gradient(circle, @inner-color, @outer-color);
        background-repeat: no-repeat;
    }
}

.hide-text() {
    display: block;
    overflow: hidden;
    white-space: nowrap;
    text-indent: 100%;
}

.reset-fonts-antialiasing() {
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    -webkit-text-size-adjust: none;
}

.backface-visibility(@val) {
    -webkit-backface-visibility: @val;
}